Unlokc request version
[rainbowstream.git] / setup.py
index ac0c342..6518e30 100644 (file)
--- a/setup.py
+++ b/setup.py
@@ -1,9 +1,15 @@
 from setuptools import setup, find_packages
 import os
 import os.path
+import sys
+
+if sys.version[0] == "2":
+    from pipes import quote
+else:
+    from shlex import quote
 
 # Bumped version
-version = '0.9.9'
+version = '1.5.1'
 
 # Require
 install_requires = [
@@ -13,13 +19,21 @@ install_requires = [
     "pyfiglet",
     "twitter",
     "Pillow",
+    "PySocks",
+    "pocket"
 ]
 
+# Default user (considers non virtualenv method)
+user = os.environ.get('SUDO_USER', os.environ.get('USER', None))
+
 # Copy default config if not exists
 default = os.path.expanduser("~") + os.sep + '.rainbow_config.json'
 if not os.path.isfile(default):
     cmd = 'cp rainbowstream/colorset/config ' + default
     os.system(cmd)
+    if user:
+        cmd = 'chown ' + quote(user) + ' ' + default
+        os.system(cmd)
     cmd = 'chmod 777 ' + default
     os.system(cmd)
 
@@ -38,6 +52,9 @@ setup(name='rainbowstream',
           "Programming Language :: Python :: 3.2",
           "Programming Language :: Python :: 3.3",
           "Programming Language :: Python :: 3.4",
+          "Programming Language :: Python :: 3.5",
+          "Programming Language :: Python :: 3.6",
+          "Programming Language :: Python :: 3.7",
           "Topic :: Internet :: WWW/HTTP :: Dynamic Content :: CGI Tools/Libraries",
           "Topic :: Utilities",
           "License :: OSI Approved :: MIT License",
@@ -51,6 +68,7 @@ setup(name='rainbowstream',
       include_package_data=True,
       zip_safe=True,
       install_requires=install_requires,
+      long_description_content_type='text/markdown',
       entry_points="""
       # -*- Entry points: -*-
       [console_scripts]